
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class ProductInventory {
	private int day = 0;
	private int[] buyPrice;
	private int[] sellPrice;
	private int[] expires;

	public int init(int[] buy, int[] sell, int[] expiration) {
		buyPrice = buy;
		sellPrice = sell;
		expires = expiration;

		return 0;
	}

	public int[] order(int[] yesterday) {
		System.err.println("Day: " + day);

		day++;

		return new int[yesterday.length];
	}
	
	// Do not submit the main.
	public static void main(String[] args) throws IOException {
		int n;
		int[] buy;
		int[] sell;
		int[] expiration;
		int[] yesterday;
		int[] res;

		try (BufferedReader in = new BufferedReader(new InputStreamReader(System.in))) {
			n = Integer.parseInt(in.readLine());
			buy = new int[n];
			for (int i = 0; i < n; i++) {
				buy[i] = Integer.parseInt(in.readLine());
			}
			
			n = Integer.parseInt(in.readLine());
			sell = new int[n];
			for (int i = 0; i < n; i++) {
				sell[i] = Integer.parseInt(in.readLine());
			}
			
			n = Integer.parseInt(in.readLine());
			expiration = new int[n];
			for (int i = 0; i < n; i++) {
				expiration[i] = Integer.parseInt(in.readLine());
			}
            
			ProductInventory sol = new ProductInventory();
			System.out.printf("%d\n", sol.init(buy, sell, expiration));
			System.out.flush();

			for (int k = 0; k < 100; k++) {
				n = Integer.parseInt(in.readLine());
				yesterday = new int[n];
				for (int i = 0; i < n; i++) {
					yesterday[i] = Integer.parseInt(in.readLine());
				}
				
				res = sol.order(yesterday);

				System.out.printf("%d\n", res.length);
				for (int i = 0; i < res.length; i++) {
					System.out.printf("%d\n", res[i]);
				}
				System.out.flush();
			}
		}
	}
}